## nova 2011.3

=== debian/changelog ===
nova (2011.3-0ubuntu6.13) oneiric-security; urgency=low

  * SECURITY UPDATE: fix denial of service via fixed IPs when using extensions
    - debian/patches/CVE-2013-1838.patch: add explicit quota for fixed IP
    - CVE-2013-1838
    - LP: #1125468

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 20 Mar 2013 09:48:07 -0500

nova (2011.3-0ubuntu6.12) oneiric-security; urgency=low

  * SECURITY UPDATE: fix denial of service
    - CVE-2013-1664.patch: Add a new utils.safe_minidom_parse_string function
      and update external API facing Nova modules to use it
    - CVE-2013-1664

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 19 Feb 2013 13:28:11 -0600

nova (2011.3-0ubuntu6.11) oneiric-security; urgency=low

  * SECURITY UPDATE: fix lack of authentication on block device used for
    os-volume_boot
    - debian/patches/CVE-2013-0208.patch: adjust nova/compute/api.py to
      validate we can access the volumes
    - CVE-2013-0208

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 23 Jan 2013 13:33:54 -0600

nova (2011.3-0ubuntu6.10) oneiric-security; urgency=low

  * SECURITY UPDATE: Prohibit file injection writing to host filesystem
    - debian/patches/CVE-2012-3447.patch: update to perform the file name
      canonicalization as the root user
    - CVE-2012-3447

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 17 Aug 2012 13:55:33 -0500

nova (2011.3-0ubuntu6.9) oneiric-security; urgency=low

  * SECURITY UPDATE: arbitrary file injection/corruption
    - debian/patches/CVE-2012-3361.patch: ensure that files cannot
      be injected in arbitrary locations
    - CVE-2012-3361

 -- Steve Beattie <sbeattie@ubuntu.com>  Mon, 02 Jul 2012 12:26:31 -0700

nova (2011.3-0ubuntu6.8) oneiric-security; urgency=low

  * REGRESSION FIX: security group without protocol set failure (LP: #1010514)
    - debian/patches/CVE-2012-2654-regression.patch: only call .lower()
      when a protocol has been set.

 -- Steve Beattie <sbeattie@ubuntu.com>  Mon, 11 Jun 2012 16:20:19 -0700

nova (2011.3-0ubuntu6.7) oneiric-security; urgency=low

  * SECURITY UPDATE: set security groups correctly if IP protocol is
    specified in upper/mixed case
    - debian/patches/CVE-2012-2654.patch: ensure protocols are in
      lowercase for the controllers

 -- Steve Beattie <sbeattie@ubuntu.com>  Fri, 01 Jun 2012 12:21:51 -0700

nova (2011.3-0ubuntu6.6) oneiric-security; urgency=low

  * SECURITY UPDATE: Place limit on number of security groups a user may
    create
    - debian/patches/CVE-2012-2101.patch: add quotas for security groups and
      security groups rules
    - CVE-2012-2101

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 03 May 2012 15:47:00 -0500

nova (2011.3-0ubuntu6.5) oneiric-security; urgency=low

  * SECURITY UPDATE: Denial of service via resource exhaustion in nova-api
    - debian/patches/validate_server_name_length.patch: Limit server names
      to a maximum of 255 characters to prevent nova-api log files from
      exhausting storage space. Based on upstream patch.
    - CVE-2012-1585

 -- Tyler Hicks <tyhicks@canonical.com>  Thu, 29 Mar 2012 01:13:25 -0500

nova (2011.3-0ubuntu6.4) oneiric-security; urgency=low

  * SECURITY UPDATE: fix tenant bypass by authenticated users via OpenStack
    API (LP: #904072)
    - CVE-2012-0030

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 10 Jan 2012 10:26:57 +0100

nova (2011.3-0ubuntu6.3) oneiric-security; urgency=low

  * SECURITY UPDATE: fix directory traversal during image registration via
    EC2 API and S3/RegisterImage
    - fix-traversal-via-image-register.patch: adjust nova/image/s3.py to
      use basename instead of absolute path
    - CVE-2011-XXXX

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 09 Dec 2011 06:45:31 -0600

nova (2011.3-0ubuntu6.2) oneiric-security; urgency=low

  * SECURITY UPDATE: fix information leak via invalid key
    debina/patches/security-fix-lp868360.patch: adjust nova/auth/manager.py
    to not return access, secret or admin fields for User error and
    project_manager_id, description and member_ids for Project
    - LP: #868360
    - CVE-2011-XXXX

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 25 Oct 2011 08:57:02 -0500
