## nova 2012.1~e1

=== debian/control ===
--- 
+++ 
@@ -1,50 +1,33 @@
 Source: nova
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Openstack Maintainers <openstack@lists.launchpad.net>
-Uploaders: Soren Hansen <soren@ubuntu.com>, Thomas Goirand <zigo@debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Uploaders: Julien Danjou <acid@debian.org>,
+           Thomas Goirand <zigo@debian.org>,
+           Ghe Rivero <ghe@debian.org>
 Build-Depends: debhelper (>= 7.0.50),
+ python-netaddr,
+ python-distutils-extra,
+ python-eventlet,
  python-m2crypto,
- python-all (>= 2.6),
- python-all-dev (>= 2.6.6-3~),
+ python-all (>= 2.6.6-3~),
+ python-lockfile,
+ python-novaclient (>= 2.6.7),
+ python-gflags,
+ python-netaddr,
+ python-gflags,
+ python-feedparser,
+ python-suds,
+ python-coverage,
+ python-greenlet
 Build-Depends-Indep:
  python-setuptools,
- python-sphinx (>> 1.0),
- python-distutils-extra,
- python-gflags,
- python-mox,
- openssl,
- python-carrot,
- python-kombu,
- python-boto,
- python-amqplib,
- openssh-client,
- python-sqlalchemy-ext | python-sqlalchemy (<< 0.6.3-2),
- python-eventlet,
- python-routes,
- python-webob,
- python-cheetah,
- python-nose,
- python-paste,
- python-pastedeploy,
- python-tempita,
- python-migrate,
- python-netaddr,
- python-glance,
- python-paramiko,
- python-novaclient,
- python-lockfile,
- python-simplejson,
- python-lxml,
- python-unittest2,
- pep8
+ python-sphinx (>> 1.0)
 Build-Conflicts: python-cjson
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://launchpad.net/nova
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/nova/diablo/debian/files
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-server-dev/nova/diablo
-
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/nova.git;a=summary
+Vcs-Git: git://anonscm.debian.org/openstack/nova.git
 
 Package: python-nova
 Architecture: all
@@ -80,10 +63,9 @@
  ${misc:Depends}
 Suggests: python-suds (>= 0.4.0),
 Conflicts: python-cjson
-XB-Python-Version: ${python:Versions}
 Recommends: python-mysqldb
 Provides: ${python:Provides}
-Description: OpenStack Compute Python libraries
+Description: OpenStack Compute - libraries
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
  the ubiquitous cloud computing platform that will meet the needs of public
  and private cloud providers regardless of size, by being simple to implement
@@ -123,7 +105,7 @@
 
 Package: nova-compute
 Architecture: all
-Depends: ${ostack-lsb-base}, ${nova-compute-deps}, nova-common (= ${binary:Version}), kpartx, curl, parted, vlan, ebtables, gawk, iptables, open-iscsi, ${nova-compute-default-hypervisor} | nova-compute-hypervisor,
+Depends: lsb-base (>= 3.0.6), adduser, qemu-utils, libvirt-bin, nova-common (= ${binary:Version}), kpartx, curl, parted, vlan, ebtables, gawk, iptables, open-iscsi, nova-compute-kvm | nova-compute-hypervisor,
  ${python:Depends}, ${misc:Depends}
 Recommends: ajaxterm
 Description: OpenStack Compute - compute node
@@ -146,10 +128,8 @@
 
 Package: nova-compute-lxc
 Architecture: all
-Depends: nova-compute (= ${binary:Version}), python-libvirt, libvirt-bin, ${misc:Depends}
-Provides: nova-compute-hypervisor
-Replaces: nova-compute-hypervisor
-Conflicts: nova-compute-hypervisor
+Depends: python-libvirt, libvirt-bin, ${misc:Depends}
+Provides: nova-compute-hypervisor
 Description: OpenStack Compute - compute node (LXC)
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
  the ubiquitous cloud computing platform that will meet the needs of public
@@ -169,10 +149,8 @@
 
 Package: nova-compute-uml
 Architecture: all
-Depends: nova-compute (= ${binary:Version}), python-libvirt, libvirt-bin, user-mode-linux, ${misc:Depends}
-Provides: nova-compute-hypervisor
-Replaces: nova-compute-hypervisor
-Conflicts: nova-compute-hypervisor
+Depends: python-libvirt, libvirt-bin, user-mode-linux, ${misc:Depends}
+Provides: nova-compute-hypervisor
 Description: OpenStack Compute - compute node (UserModeLinux)
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
  the ubiquitous cloud computing platform that will meet the needs of public
@@ -192,10 +170,9 @@
 
 Package: nova-compute-xen
 Architecture: all
-Depends: nova-compute (= ${binary:Version}), python-libvirt, libvirt-bin, xen-linux-system, ${misc:Depends}
-Provides: nova-compute-hypervisor
-Replaces: nova-compute-hypervisor
-Conflicts: nova-compute-hypervisor
+Depends: python-libvirt, libvirt-bin, xen-hypervisor-4.1-amd64 | xen-hypervisor-4.1-i386,
+  ${misc:Depends}
+Provides: nova-compute-hypervisor
 Description: OpenStack Compute - compute node (Xen)
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
  the ubiquitous cloud computing platform that will meet the needs of public
@@ -215,10 +192,8 @@
 
 Package: nova-compute-kvm
 Architecture: all
-Depends: nova-compute (= ${binary:Version}), python-libvirt, libvirt-bin, kvm, ${misc:Depends}
-Provides: nova-compute-hypervisor
-Replaces: nova-compute-hypervisor
-Conflicts: nova-compute-hypervisor
+Depends: python-libvirt, libvirt-bin, kvm, ${misc:Depends}
+Provides: nova-compute-hypervisor
 Description: OpenStack Compute - compute node (KVM)
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
  the ubiquitous cloud computing platform that will meet the needs of public
@@ -238,7 +213,7 @@
 
 Package: nova-scheduler
 Architecture: all
-Depends: ${ostack-lsb-base}, nova-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
+Depends: lsb-base (>= 3.0.6), nova-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
 Description: OpenStack Compute - virtual machine scheduler
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
  the ubiquitous cloud computing platform that will meet the needs of public
@@ -258,7 +233,7 @@
 
 Package: nova-volume
 Architecture: all
-Depends: ${ostack-lsb-base}, nova-common (= ${binary:Version}), lvm2, tgt, ${python:Depends}, ${misc:Depends}
+Depends: lsb-base, nova-common (= ${binary:Version}), lvm2, tgt, ${python:Depends}, ${misc:Depends}
 Suggests: sheepdog
 Description: OpenStack Compute - storage
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
@@ -279,7 +254,7 @@
 
 Package: nova-ajax-console-proxy
 Architecture: all
-Depends: ${ostack-lsb-base}, nova-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
+Depends: lsb-base (>= 3.0.6), nova-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
 Description: OpenStack Compute - AJAX console proxy
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
  the ubiquitous cloud computing platform that will meet the needs of public
@@ -299,3 +274,18 @@
  component which proxies access to ajaxterm's running on compute
  nodes.
 
+Package: nova-vncproxy
+Architecture: all
+Depends: lsb-base (>= 3.0.6), nova-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
+Description: OpenStack Compute - VNC proxy
+ OpenStack is a reliable cloud infrastructure. Its mission is to produce
+ the ubiquitous cloud computing platform that will meet the needs of public
+ and private cloud providers regardless of size, by being simple to implement
+ and massively scalable.
+ .
+ OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
+ addition to its "native" API (the OpenStack API), it also supports the Amazon
+ EC2 API.
+ .
+ Nova is intended to be modular and easy to extend and adapt. It supports many
+ different hypervisors (KVM and Xen to name a few), different database backends
