## nova 2012.1~e1+git354-g1b4a0f8

=== debian/changelog ===
nova (2012.1~e1+git354-g1b4a0f8-2) experimental; urgency=low

  * Fix build-depends

 -- Julien Danjou <acid@debian.org>  Mon, 12 Dec 2011 12:51:47 +0100

nova (2012.1~e1+git354-g1b4a0f8-1) experimental; urgency=low

  * New snapshot-release

 -- Julien Danjou <acid@debian.org>  Mon, 12 Dec 2011 11:38:46 +0100

nova (2012.1~e1+git332-gaa7ca15-1) experimental; urgency=low

  [ Ghe Rivero ]
  * New snapshot release

 -- Ghe Rivero <ghe@debian.org>  Fri, 09 Dec 2011 14:49:10 +0100

nova (2012.1~e1+git256-g022295e) experimental; urgency=low

  * New snapshot release
  * Refreshed patches to new upstream

 -- Ghe Rivero <ghe@debian.org>  Mon, 05 Dec 2011 11:37:48 +0100
