## nova 2012.1~e2

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python-netaddr,
  python-gflags,
  python-feedparser,
- python-suds,
+ python-suds (>= 0.4.0),
  python-coverage,
  python-greenlet
 Build-Depends-Indep:
@@ -143,7 +143,7 @@
  (SQLite, MySQL, and PostgreSQL, for instance), different types of user
  databases (LDAP or SQL), etc.
  .
- Install this package on your compute nodes if you're using LXC.
+ Install this virtual package on your compute nodes if you're using LXC.
 
 Package: nova-compute-uml
 Architecture: all
@@ -164,12 +164,12 @@
  (SQLite, MySQL, and PostgreSQL, for instance), different types of user
  databases (LDAP or SQL), etc.
  .
- Install this package on your compute nodes if you're using UserModeLinux.
+ Install this virtual package on your compute nodes if you're using
+ UserModeLinux.
 
 Package: nova-compute-xen
 Architecture: all
-Depends: python-libvirt, libvirt-bin, xen-hypervisor-4.1-amd64 | xen-hypervisor-4.1-i386,
-  ${misc:Depends}
+Depends: python-libvirt, libvirt-bin, ${misc:Depends}
 Provides: nova-compute-hypervisor
 Description: OpenStack Compute - compute node (Xen)
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
@@ -186,7 +186,8 @@
  (SQLite, MySQL, and PostgreSQL, for instance), different types of user
  databases (LDAP or SQL), etc.
  .
- Install this package on your compute nodes if you're using Xen.
+ Install this virtual package to remote-control a XenServer or an XCP (Xen Cloud
+ Platform) cloud using Xen API.
 
 Package: nova-compute-kvm
 Architecture: all
@@ -207,7 +208,7 @@
  (SQLite, MySQL, and PostgreSQL, for instance), different types of user
  databases (LDAP or SQL), etc.
  .
- Install this package on your compute nodes if you're using kvm.
+ Install this virtual package on your compute nodes if you're using kvm.
 
 Package: nova-scheduler
 Architecture: all
@@ -287,4 +288,3 @@
  .
  Nova is intended to be modular and easy to extend and adapt. It supports many
  different hypervisors (KVM and Xen to name a few), different database backends
- (SQLite, MySQL, and PostgreSQL, for instance), different types of user
