=== debian/rules ===
--- 
+++ 
@@ -33,8 +33,3 @@
 # override_dh_auto_test:
 # 	./run_tests.sh -N
 # endif
-
-override_dh_installdocs:
-	dh_installdocs
-	ln -sf /usr/share/javascript/jquery/jquery.js $(CURDIR)/debian/nova-doc/usr/share/doc/nova-doc/html/_static/jquery.js
-	ln -sf /usr/share/javascript/underscore/underscore.min.js $(CURDIR)/debian/nova-doc/usr/share/doc/nova-doc/html/_static/underscore.js
