## nova 2012.1~e3

=== debian/control ===
--- 
+++ 
@@ -14,12 +14,29 @@
  python-lockfile,
  python-novaclient (>= 2.6.7),
  python-gflags,
- python-netaddr,
- python-gflags,
  python-feedparser,
  python-suds (>= 0.4.0),
  python-coverage,
- python-greenlet
+ python-greenlet,
+ python-xattr,
+ python-webob,
+ python-glance,
+ python-routes,
+ python-libvirt,
+ python-memcache,
+ python-carrot,
+ python-lxml,
+ python-mox,
+ python-boto,
+ python-cheetah,
+ python-nose,
+ python-paramiko,
+ python-paste,
+ python-simplejson,
+ python-xenapi,
+ euca2ools,
+ ipython,
+ bpython
 Build-Depends-Indep:
  python-setuptools,
  python-sphinx (>> 1.0)
@@ -54,7 +71,6 @@
  python-pastedeploy,
  python-tempita,
  python-migrate,
- python-netaddr,
  python-glance,
  python-novaclient,
  python-simplejson,
@@ -103,7 +119,7 @@
 
 Package: nova-compute
 Architecture: all
-Depends: lsb-base (>= 3.0.6), adduser, qemu-utils, libvirt-bin, nova-common (= ${binary:Version}), kpartx, curl, parted, vlan, ebtables, gawk, iptables, open-iscsi, nova-compute-kvm | nova-compute-hypervisor,
+Depends: lsb-base (>= 3.0.6), adduser, qemu-utils, nova-common (= ${binary:Version}), kpartx, curl, parted, vlan, ebtables, gawk, iptables, open-iscsi, nova-compute-kvm | nova-compute-hypervisor,
  ${python:Depends}, ${misc:Depends}
 Recommends: ajaxterm
 Description: OpenStack Compute - compute node
@@ -126,7 +142,7 @@
 
 Package: nova-compute-lxc
 Architecture: all
-Depends: python-libvirt, libvirt-bin, ${misc:Depends}
+Depends: python-libvirt, libvirt-bin, ${misc:Depends}, adduser
 Provides: nova-compute-hypervisor
 Description: OpenStack Compute - compute node (LXC)
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
@@ -147,7 +163,7 @@
 
 Package: nova-compute-uml
 Architecture: all
-Depends: python-libvirt, libvirt-bin, user-mode-linux, ${misc:Depends}
+Depends: python-libvirt, libvirt-bin, user-mode-linux, ${misc:Depends}, adduser
 Provides: nova-compute-hypervisor
 Description: OpenStack Compute - compute node (UserModeLinux)
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
@@ -169,7 +185,7 @@
 
 Package: nova-compute-xen
 Architecture: all
-Depends: python-libvirt, libvirt-bin, ${misc:Depends}
+Depends: python-xenapi, ${misc:Depends}, adduser
 Provides: nova-compute-hypervisor
 Description: OpenStack Compute - compute node (Xen)
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
@@ -191,7 +207,7 @@
 
 Package: nova-compute-kvm
 Architecture: all
-Depends: python-libvirt, libvirt-bin, kvm, ${misc:Depends}
+Depends: python-libvirt, libvirt-bin, kvm, ${misc:Depends}, adduser
 Provides: nova-compute-hypervisor
 Description: OpenStack Compute - compute node (KVM)
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
@@ -273,18 +289,13 @@
  component which proxies access to ajaxterm's running on compute
  nodes.
 
-Package: nova-vncproxy
+Package: nova-api
 Architecture: all
 Depends: lsb-base (>= 3.0.6), nova-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
-Description: OpenStack Compute - VNC proxy
- OpenStack is a reliable cloud infrastructure. Its mission is to produce
- the ubiquitous cloud computing platform that will meet the needs of public
- and private cloud providers regardless of size, by being simple to implement
- and massively scalable.
- .
- OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
- addition to its "native" API (the OpenStack API), it also supports the Amazon
- EC2 API.
- .
- Nova is intended to be modular and easy to extend and adapt. It supports many
- different hypervisors (KVM and Xen to name a few), different database backends
+Description: OpenStack Compute - API frontend
+ OpenStack is a reliable cloud infrastructure. Its mission is to produce
+ the ubiquitous cloud computing platform that will meet the needs of public
+ and private cloud providers regardless of size, by being simple to implement
+ and massively scalable.
+ .
+ OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
