## nova 2012.1~e4

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
-           Ghe Rivero <ghe@debian.org>
+           Ghe Rivero <ghe.rivero@stackops.com>
 Build-Depends: debhelper (>= 7.0.50),
  python-netaddr,
  python-distutils-extra,
@@ -36,7 +36,9 @@
  python-xenapi,
  euca2ools,
  ipython,
- bpython
+ bpython,
+ python-qpid,
+ python-iso8601
 Build-Depends-Indep:
  python-setuptools,
  python-sphinx (>> 1.0)
@@ -99,7 +101,9 @@
 
 Package: nova-common
 Architecture: all
-Depends: python-amqplib, python-nova (= ${binary:Version}), ${python:Depends}, ${misc:Depends}, adduser
+Depends: python-amqplib, python-nova (= ${binary:Version}), ${python:Depends}, ${misc:Depends},
+ adduser,
+ python-iso8601
 Description: OpenStack Compute - common files
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
  the ubiquitous cloud computing platform that will meet the needs of public
@@ -121,7 +125,6 @@
 Architecture: all
 Depends: lsb-base (>= 3.0.6), adduser, qemu-utils, nova-common (= ${binary:Version}), kpartx, curl, parted, vlan, ebtables, gawk, iptables, open-iscsi, nova-compute-kvm | nova-compute-hypervisor,
  ${python:Depends}, ${misc:Depends}
-Recommends: ajaxterm
 Description: OpenStack Compute - compute node
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
  the ubiquitous cloud computing platform that will meet the needs of public
@@ -142,7 +145,7 @@
 
 Package: nova-compute-lxc
 Architecture: all
-Depends: python-libvirt, libvirt-bin, ${misc:Depends}, adduser
+Depends: python-libvirt, libvirt-bin, ${misc:Depends}, adduser, nova-common
 Provides: nova-compute-hypervisor
 Description: OpenStack Compute - compute node (LXC)
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
@@ -163,7 +166,7 @@
 
 Package: nova-compute-uml
 Architecture: all
-Depends: python-libvirt, libvirt-bin, user-mode-linux, ${misc:Depends}, adduser
+Depends: python-libvirt, libvirt-bin, user-mode-linux, ${misc:Depends}, adduser, nova-common
 Provides: nova-compute-hypervisor
 Description: OpenStack Compute - compute node (UserModeLinux)
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
@@ -185,7 +188,7 @@
 
 Package: nova-compute-xen
 Architecture: all
-Depends: python-xenapi, ${misc:Depends}, adduser
+Depends: python-xenapi, ${misc:Depends}, adduser, nova-common
 Provides: nova-compute-hypervisor
 Description: OpenStack Compute - compute node (Xen)
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
@@ -207,7 +210,7 @@
 
 Package: nova-compute-kvm
 Architecture: all
-Depends: python-libvirt, libvirt-bin, kvm, ${misc:Depends}, adduser
+Depends: python-libvirt, libvirt-bin, kvm, ${misc:Depends}, adduser, nova-common
 Provides: nova-compute-hypervisor
 Description: OpenStack Compute - compute node (KVM)
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
@@ -267,30 +270,9 @@
  .
  This is the package you will install on your storage nodes.
 
-Package: nova-ajax-console-proxy
-Architecture: all
-Depends: lsb-base (>= 3.0.6), nova-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
-Description: OpenStack Compute - AJAX console proxy
- OpenStack is a reliable cloud infrastructure. Its mission is to produce
- the ubiquitous cloud computing platform that will meet the needs of public
- and private cloud providers regardless of size, by being simple to implement
- and massively scalable.
- .
- OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
- addition to its "native" API (the OpenStack API), it also supports the Amazon
- EC2 API.
- .
- Nova is intended to be modular and easy to extend and adapt. It supports many
- different hypervisors (KVM and Xen to name a few), different database backends
- (SQLite, MySQL, and PostgreSQL, for instance), different types of user
- databases (LDAP or SQL), etc.
- .
- This package provides the AJAX proxy. It is a publically reachable
- component which proxies access to ajaxterm's running on compute
- nodes.
-
 Package: nova-api
 Architecture: all
+Recommends: python-keystone
 Depends: lsb-base (>= 3.0.6), nova-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
 Description: OpenStack Compute - API frontend
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
@@ -299,3 +281,23 @@
  and massively scalable.
  .
  OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
+ addition to its "native" API (the OpenStack API), it also supports the Amazon
+ EC2 API.
+ .
+ Nova is intended to be modular and easy to extend and adapt. It supports many
+ different hypervisors (KVM and Xen to name a few), different database backends
+ (SQLite, MySQL, and PostgreSQL, for instance), different types of user
+ databases (LDAP or SQL), etc.
+ .
+ This package provides the API frontend.
+
+Package: nova-network
+Architecture: all
+Depends: lsb-base (>= 3.0.6), netcat, vlan, bridge-utils, dnsmasq-base, iputils-arping, dnsmasq-utils, nova-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
+Suggests: radvd
+Description: OpenStack Compute - Network manager
+ OpenStack is a reliable cloud infrastructure. Its mission is to produce
+ the ubiquitous cloud computing platform that will meet the needs of public
+ and private cloud providers regardless of size, by being simple to implement
+ and massively scalable.
+ .
