=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,9 @@
 # 	./run_tests.sh -N
 # endif
 
+override_dh_installinit:
+	dh_installinit
+	dh_installinit -pnova-console --name=nova-consoleauth
 override_dh_installdocs:
 	dh_installdocs
 	ln -sf /usr/share/javascript/jquery/jquery.js $(CURDIR)/debian/nova-doc/usr/share/doc/nova-doc/html/_static/jquery.js
